/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 


package servidor.configurador;

import javax.swing.table.AbstractTableModel;

public  class GridTableModel extends AbstractTableModel {
	ItemGrid[] datos;
	String[] cabeceras = null;
	public GridTableModel(ItemGrid[] datos,String[] cabecera) {
		cabeceras=cabecera;
		this.datos = datos;
	}
	public Object getValueAt(int row, int col) {
		return (datos[row].valores[col]);
	}
	public void setValueAt(Object v, int row, int col) {
		
		datos[row].valores[col]=v;
			
	}
	public Class getColumnClass(int col) {
		return (datos[0].valores[col]==null)?"".getClass():datos[0].valores[col].getClass();
	
	}
	public int getColumnCount() {
		return cabeceras.length;
	}
	public int getRowCount() {
		return datos.length;
	}
	public String getColumnName(int col) {
		return cabeceras[col];
	}
	public boolean isCellEditable(int row, int col) {
		return false;
	}

	public boolean Busca_cadena(int col,String cadena){
		String valor=null;
		for (int i=0;i<=getRowCount()-1;i++){
			valor=((String)(this.getValueAt(i,col)));
			if (valor.equals(cadena))
				return true;
				
		}
		return false;
	}
	

}	